Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #986

Dragging from the Audacios window Moves rather than Copies now
May 12, 2020 12:25 - Dale Powell

Status: Closed Start date: May 12, 2020
Priority: Minor Due date:

Assignee: % Done: 100%
Category: plugins/qtui Estimated time: 0.00 hour
Target version: 4.0.4

Affects version: 4.0.3

Description

| have used Audacious for many many years to sort out new music for mixing with, dragging to copy files | wish to add to my DJ list
and external playlists by dragging from the Audacious window into the folder | wish to copy them to. This no longer Copies but rather
Pastes the file, which is extremely disrupting! This is likely to leave me (and very likely already has as | only just noticed!!! :(') with
albums and folders missing files where | gone to copy them to the DJ folder and them moved the whole (except now not complete)
album folder to my main music directory.

History

#1 - May 12, 2020 12:48 - John Lindgren

What file manager do you use? | tried it with Nemo and the file is copied, not moved.

#2 - May 12, 2020 12:53 - John Lindgren

Interestingly, Dolphin brings up a menu with "Move Here", "Copy Here", and "Link Here" options.

#3 - May 12, 2020 13:09 - John Lindgren
- % Done changed from 0 to 100
- Status changed from New to Closed

- Category set to plugins/qtui

Should be fixed now:
https://github.com/audacious-media-player/audacious-plugins/commit/ec38c9453a92fb9e227b0d10927e923e6b19e239

#4 - May 12, 2020 18:47 - Dale Powell

Sorry for the delay but seems you managed to recreate it without my assistance. Thanks for the speedy work.
| experienced it with Thunar, so may have been an issue between Qt and GTK (although Google tells me Dolphin now uses Qt so maybe not.)

I've not built from specific commits from Git, only either Branches or PRs. Or should | just wait for it to make its way to Manjaro through Arch once the
new versions are officially released? Is there anywhere that says which version this change will come into play?

#5 - May 12, 2020 20:46 - John Lindgren

It will be in 4.0.4. If you're comfortable with building packages from the AUR you can install audacious-git and audacious-plugins-git from there.

#6 - May 13, 2020 00:01 - Dale Powell

Just installed from AUR using yay and can confirm the issue is fixed for me :)

#7 - June 01, 2020 17:20 - John Lindgren
https://github.com/audacious-media-player/audacious-plugins/commit/ec38c9453a92fb9e227b0d10927e923e6b19e239

- Target version set to 4.0.4
